aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-class-methodmaker/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2013-05-22 21:00:24 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2013-05-22 21:00:24 +0000
commit5401e3bc32437d63182073865e58798f3e17268f (patch)
treec6006487ee6bbe5beb57cb794494df836a3fa53d /testing/perl-class-methodmaker/APKBUILD
parentad38959ec70ff67baf7871992ed1b430b51ad17f (diff)
downloadaports-5401e3bc32437d63182073865e58798f3e17268f.tar.gz
aports-5401e3bc32437d63182073865e58798f3e17268f.tar.bz2
aports-5401e3bc32437d63182073865e58798f3e17268f.tar.xz
testing/perl-class-methodmaker: new aport
Diffstat (limited to 'testing/perl-class-methodmaker/APKBUILD')
-rw-r--r--testing/perl-class-methodmaker/APKBUILD42
1 files changed, 42 insertions, 0 deletions
diff --git a/testing/perl-class-methodmaker/APKBUILD b/testing/perl-class-methodmaker/APKBUILD
new file mode 100644
index 0000000000..5ee0ffe251
--- /dev/null
+++ b/testing/perl-class-methodmaker/APKBUILD
@@ -0,0 +1,42 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer:
+pkgname=perl-class-methodmaker
+pkgver=2.18
+pkgrel=0
+pkgdesc="Create generic class methods"
+url="http://search.cpan.org/dist/Class-MethodMaker"
+arch="all"
+license="GPL"
+depends=""
+depends_dev="perl-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/S/SC/SCHWIGON/Class-MethodMaker-$pkgver.tar.gz"
+
+_builddir="$srcdir"/Class-MethodMaker-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="99435d78e0a1754b102fe39597c6c3df Class-MethodMaker-2.18.tar.gz"
+sha256sums="223b7a79025e9bff984d755f9744182505e110680b13eedbac2831d45ddbeeba Class-MethodMaker-2.18.tar.gz"
+sha512sums="ba121a14b42766379eed3999d7db01e84f17755b387a5c1e48f19fd5aa1fd55f5ff718ffefbab7a502fead02b3654918c9e17b3ca9eb80cbff426878a66b989e Class-MethodMaker-2.18.tar.gz"